<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-remark-heading" data-cy="RemarkCreateUpdateHeading">Create or edit a Remark</h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        @if (editForm.controls.id.value !== null) {
          <div class="mb-3">
            <label class="form-label" for="field_id">ID</label>
            <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
          </div>
        }

        <div class="mb-3">
          <label class="form-label" for="field_category">Category</label>
          <input type="text" class="form-control" name="category" id="field_category" data-cy="category" formControlName="category" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_name">Name</label>
          <input type="text" class="form-control" name="name" id="field_name" data-cy="name" formControlName="name" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_description">Description</label>
          <input
            type="text"
            class="form-control"
            name="description"
            id="field_description"
            data-cy="description"
            formControlName="description"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_berkasRevisi">Berkas Revisi</label>
          <input
            type="text"
            class="form-control"
            name="berkasRevisi"
            id="field_berkasRevisi"
            data-cy="berkasRevisi"
            formControlName="berkasRevisi"
          />
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
